<?php
	//Comenzamos o continuamos la sesion:
	@require_once "../../codigo/sesion.php";

	if (file_exists("../../filtrar_visitas.php")) { include_once "../../filtrar_visitas.php"; }
	else if (file_exists("filtrar_visitas.php")) { include_once "filtrar_visitas.php"; }

	@require_once "../../codigo/email.php";
    @include_once "../../codigo/recoger_get.php";
    @include_once "../../codigo/idioma.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title>Danton 2007 S.L.</title>
		<link rel="stylesheet" type="text/css" href="../../css/estilo.css">
		<?php @include_once "../../codigo/metatags.php"; ?>
		</head>
		<body bgcolor="#000000" text="#ff0000" link="#ffffff" vlink="#ffffff" alink="#ffffff" lefmargin="0" topmargin="0" marginwidth="0" marginheight="0">
       		<center>
			Si ho prefereix, tamb&eacute; pot posar-se en contacte amb nosaltres mitjan&ccedil;ant tel&egrave;fon o correu elect&ograve;nic:
			<br>
       		Tel. 635 681 469 i 691 233 455
       		<br>
       		<a href="mailto:danton2007sl@hotmail.com">danton2007sl@hotmail.com</a>
       		</center>
       		<br>
	   
	    <?php
			$nombre = recoger_get("nombre");
			$apellidos = recoger_get("apellidos");
			$telefono = recoger_get("telefono");
			$email = recoger_get("email");
			$contenido = recoger_get("contenido");
	
			$errores = "";

			$enviado = recoger_get("enviado");
			if ($enviado)
			{
				if (!$nombre || $nombre == "") { $errores .= "El camp del nom &eacute;s obligatori.<br>"; }
				//if (!$apellidos || $apellidos == "") { $errores .= "El camp dels cognoms &eacute;s obligatori.<br>"; }
				if ((!$telefono || $telefono == "") && (!$email || $email == "")) { $errores .= "&Eacute;s necessari ficar el n&uacute;mero de tel&egrave;fon o un un E-Mail de contacte.<br>"; }
				if (!$contenido || $contenido == "") { $errores .= "El camp del contingut &eacute;s obligatori.<br>"; }	
				if ($email != "" && !validar_email($email)) { $errores .= "El E-Mail introdu&iuml;t no sembla v&agrave;lid.<br>"; }

				if (trim($errores) != "")
				{

					echo '<center><table align="center" class="mensajes_contacto">';
					echo "<tr><td class=\"mensajes_contacto\"><b>S'han produ&iuml;t els seg&uuml;ents errors:</b></td></tr>";
					echo "<tr><td class=\"mensajes_contacto\">$errores</td></tr>";
					echo "</table></center><br>";
				}
				else
				{
					$texto = "Nombre: $nombre<br>\r\n" .
							 "Apellidos: $apellidos<br>\r\n" .
							 "Telefono: $telefono<br>\r\n" .
							 "E-Mail: $email<br>\r\n" .
							 "Contenido: $contenido";
				   
					//require_once "codigo/email.php";
			
					$email_enviado = enviar_email("[DANTON2007SL] Contacto", $texto, $email, $nombre." ".$apellidos);
		
					echo '<center><table align="center" class="mensajes_contacto"><tr><td class="mensajes_contacto">';
		
					if ($email_enviado)
					{
						echo "S'ha enviat correctament.";
					}
					else
					{
						echo "<b>ERROR</b>: No s'ha enviat correctament. Si us plau, intenti'l enviar m&eacute;s tard.";
					}
		
					echo "</td></tr></table></center><br>";
				}
			}
        ?>

		<center>
		<form method="get" action="contacto.php">
			<?php if (SID) { echo '<input type="hidden" name="' . session_name() . '" value="' . session_id() . '">'; } ?>
			<input type="hidden" name="idioma" value="<?php echo $idioma; ?>">
			<input type="hidden" name="enviado" value="si">
			<center>
			<table align="center" cellspacing="0" cellpadding="0" class="formulario">
				<tr>
					<td align="right" class="formulario">Nom:</td>
					<td class="formulario"><input type="text" name="nombre" value="<?php echo htmlentities($nombre); ?>" class="formulario" size="25"></td>
				</tr>
				<tr>
					<td align="right">Cognoms:</td>
					<td><input type="text" name="apellidos" value="<?php echo htmlentities($apellidos); ?>" size="25"></td>
				</tr>
				<tr>
					<td align="right" class="formulario">Tel&egrave;fon:</td>
					<td class="formulario"><input type="text" name="telefono" value="<?php echo htmlentities($telefono); ?>" size="25" class="formulario"></td>
				</tr>
				<tr>
					<td align="right">E-Mail:</td>
					<td><input type="text" name="email" value="<?php echo htmlentities($email); ?>" size="25"></td>
				</tr>
				<tr>
					<td align="right" valign="top" class="formulario">Contingut:</td>
					<td class="formulario"><textarea name="contenido" cols="22" rows="6" class="formulario"><?php echo htmlentities($contenido); ?></textarea></td>
				</tr>		
				<tr>
					<td colspan="2" align="center">
						<center>
						<br>
						<input type="submit" name="boton" class="boton" value="Envia">
						</center>
					</td>
				</tr>
			</table>
			</center>
		</form>
		</center>
	</body>
</html>
